-- FEEL FREE TO MODIFY THE BELOW BINDINGS AS DESIRED
-- All keys must be surrounded by quotes "".
-- Examples: "F1" is the 'F1' key on your keyboard.
-- To combine keys, you add dashes like: "ALT-F" or "CTRL-SHIFT-F5"
-- To use mouse buttons instead of keys: "BUTTON2" (for right-click) or "BUTTON5" (for your fifth mouse button)

local BPB_Binds = { -- code below this line is ok to change
["ACTIONBUTTON1"] = "1",
["ACTIONBUTTON2"] = "2",
["ACTIONBUTTON3"] = "3",
["ACTIONBUTTON4"] = "4",
["ACTIONBUTTON5"] = "5",
["BPB_CHANGEPET1"] = "F1",
["BPB_CHANGEPET2"] = "F2",
["BPB_CHANGEPET3"] = "F3",
["BPB_SKIPTURN"] = "R",
["BPB_FORFEIT"] = "F",
} -- code above this line is ok to change

------------------------------
-- Addon code starts below  --
------------------------------

local BPB_BindState = false

-- create event handling frame and register event(s)
local BattlePetBinds = CreateFrame("FRAME", "BattlePetBinds")
BattlePetBinds:RegisterEvent("ADDON_LOADED")
BattlePetBinds:RegisterEvent("PET_BATTLE_OPENING_START")
BattlePetBinds:RegisterEvent("PET_BATTLE_OPENING_DONE")
BattlePetBinds:RegisterEvent("PET_BATTLE_OVER")
BattlePetBinds:RegisterEvent("PET_BATTLE_CLOSE")

-- OnEvent handler function
local function BattlePetBinds_OnEvent(self, event, ...)
	if (event == "ADDON_LOADED") and (... == "Battle Pet Binds") and not InCombatLockdown() then
		if (C_PetBattles.IsInBattle() == true) then
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["ACTIONBUTTON1"], "ACTIONBUTTON1")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["ACTIONBUTTON2"], "ACTIONBUTTON2")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["ACTIONBUTTON3"], "ACTIONBUTTON3")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["ACTIONBUTTON4"], "ACTIONBUTTON4")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["ACTIONBUTTON5"], "ACTIONBUTTON5")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["BPB_CHANGEPET1"], "BPB_CHANGEPET1")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["BPB_CHANGEPET2"], "BPB_CHANGEPET2")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["BPB_CHANGEPET3"], "BPB_CHANGEPET3")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["BPB_SKIPTURN"], "BPB_SKIPTURN")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["BPB_FORFEIT"], "BPB_FORFEIT")
			BPB_BindState = true
		end
	elseif ((event == "PET_BATTLE_OPENING_START") or (event == "PET_BATTLE_OPENING_DONE")) and not InCombatLockdown() then
		if (BPB_BindState == false) then
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["ACTIONBUTTON1"], "ACTIONBUTTON1")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["ACTIONBUTTON2"], "ACTIONBUTTON2")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["ACTIONBUTTON3"], "ACTIONBUTTON3")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["ACTIONBUTTON4"], "ACTIONBUTTON4")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["ACTIONBUTTON5"], "ACTIONBUTTON5")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["BPB_CHANGEPET1"], "BPB_CHANGEPET1")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["BPB_CHANGEPET2"], "BPB_CHANGEPET2")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["BPB_CHANGEPET3"], "BPB_CHANGEPET3")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["BPB_SKIPTURN"], "BPB_SKIPTURN")
			SetOverrideBinding(BattlePetBinds, true, BPB_Binds["BPB_FORFEIT"], "BPB_FORFEIT")
			BPB_BindState = true
		end
	elseif (event == "PET_BATTLE_OVER") or (event == "PET_BATTLE_CLOSE") then
		if (BPB_BindState == true) then
			ClearOverrideBindings(BattlePetBinds)
			BPB_BindState = false
		end
	end
end

-- set our event handler function
BattlePetBinds:SetScript("OnEvent", BattlePetBinds_OnEvent)